[求助]zhcon无法正常运行

为当前最终发行版之前的所有版本提供支持
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

[求助]zhcon无法正常运行

#1

帖子 yohu » 2006-12-25 21:36

安装了zhcon以后一直没办法在控制台下运行,终端下反倒是可以运行,控制台下运行以后,就几个字母在屏幕左上角一闪一闪的,看不到出错的信息,退出都没办法退出来,只能重启,有没有人遇到过这种情况?
试了N次不行以后装了cce,运行完之后,中文却是乱码,可能因为我的locale是utf8的吧,怎么才能使cce支持utf8?我用的是rpm包转成deb安装的。
头像
oliver
帖子: 775
注册时间: 2005-10-05 11:31
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 oliver » 2006-12-25 23:14

我这里zhcon可以在控制台下运行,没有问题。
本地环境是UTF-8的话
在控制台下要用 "zhcon --utf8"命令运行中文才没有乱码。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2006-12-25 23:59

一堆不能运行的。可能和为了beryl这些,安装的那些稀奇古怪的驱动有关。
● 鸣学
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#4

帖子 yohu » 2006-12-26 2:29

没有装beryl这些,我机子根本跑不动这些,呵呵,很奇怪,以前装debian的时候从来没有遇到过这问题。
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#5

帖子 yohu » 2006-12-26 22:43

楼上能运行zhcon的你们是6.10还是6.06?我今天特地用6.10的server版装了个基本系统,什么都不装,然后安装zhcon,结果还是一样,无法运行。
头像
nmvr2600
帖子: 215
注册时间: 2005-11-01 18:23
送出感谢: 0
接收感谢: 0

#6

帖子 nmvr2600 » 2006-12-27 9:43

我的也一样,server安装,zhcon后黑屏。
We are both God and devil.
----------------------------------
Oracle 11G SG PPT下载
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#7

帖子 yohu » 2006-12-29 0:16

又做了一次测试,装了个debian基本系统,默认的内核2.6.8-3运行zhcon没有问题,内核升级到2.6.18以后zhcon也无法运行了,看来是内核的问题了。
winsphinx
帖子: 65
注册时间: 2006-06-07 13:25
送出感谢: 0
接收感谢: 0

#8

帖子 winsphinx » 2006-12-29 12:39

去zhcon的下载2.6补丁,针对 6.10的
slepher
帖子: 1
注册时间: 2006-10-21 0:56
送出感谢: 0
接收感谢: 0

#9

帖子 slepher » 2006-12-29 18:19

zhcon需要启动framebuffer

在文件/boot/grub/menu.lst
kernel /boot/vmlinuz-2.6.20-2-generic root=/dev/hda3 ro quiet splash [vga=0x305]
这行加上方括号里面的内容就可以了
vga=0x305表示1024X768 256色,vga=0x303表示800X600,256色
fjchenq
帖子: 160
注册时间: 2006-12-14 19:14
送出感谢: 0
接收感谢: 0

#10

帖子 fjchenq » 2006-12-30 8:43

谢谢大家的分享。framebuffer,一直不稳定呀。 zhcon也是。

我在debian都搞得好久,才搞定(很菜)
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#11

帖子 yohu » 2006-12-30 10:52

我自己摸索了几天,摸索了一个方法,就是运行sudo modconf,把fb添加到模块,如果没有modconf的apt装一个,运行以后找到kernel/drivers/video,然后根据你的显卡选择了,我是nvidia的,经过测试,有两个可用,一个是kernel/drivers/video/riva--》rivafb,还有一个就是kernel/drivers/video/nvidia--》nvidiafb,直接默认回车再回车就OK了,当场可用,无需重启。两个只需选择其中一个就可以了,适用于nvidia显卡。
头像
arli
帖子: 194
注册时间: 2006-11-24 11:00
来自: 太阳系第3行星
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 arli » 2006-12-30 13:46

zhcon --drv=fb
要爱护linux 就象爱护我们的庄稼地一样
头像
wsk170
帖子: 123
注册时间: 2006-10-14 11:34
送出感谢: 0
接收感谢: 1 次

#13

帖子 wsk170 » 2007-01-16 20:44

11楼 应该从根本上解决了这个问题
我的就是这样 安装了zhcon 进控制台 输入zhcon 或者zhcon --utf8 都死机
按照11楼的 把模块安装好 就OK啦
进控制台 直接 输入 zhcon --utf8 中文应该能看到了
谢谢 yohu !
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#14

帖子 yohu » 2007-01-16 21:24

其实像楼上那位朋友说的加个vga参数也可以的,相对简单些。
拥有超级牛力的搜索引擎:
http://www.google.com/linux
http://www.google.com/
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#15

帖子 eexpress » 2007-01-16 21:32

zhcon
2007-1-03 周三, 下午11:20
0 [ Permalink ]

grub启动内核的行。加vga参数,就打开了framebuffer。
zhcon --utf8。运行才识别utf8的local系统。
就是这样的。vga=791
● 鸣学
回复

回到 “老旧版本支持”